name 'archive'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_docker::service
  esh_archivebox::system
  esh_archivebox::compose
)

###
# Attributes
###

###
# esh_archivebox
###

default['esh']['archivebox']['username'] = 'benpro'
default['esh']['archivebox']['email'] = 'archivebox@benpro.fr'
default['esh']['archivebox']['password'] = ''
