name 'flux'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_miniflux::default
)

###
# Attributes
###

###
# esh_miniflux
###

default['esh']['miniflux']['base_url'] = 'https://flux.benoit.jp.net'
default['esh']['miniflux']['postgresql']['password'] = ''
default['esh']['miniflux']['configfile'] = <<~EOT
# See https://miniflux.app/docs/configuration.html

RUN_MIGRATIONS=1
PROXY_IMAGES=all
DATABASE_URL=user=miniflux password=#{default['esh']['miniflux']['postgresql']['password']} dbname=miniflux
BASE_URL=#{default['esh']['miniflux']['base_url']}
LISTEN_ADDR=0.0.0.0:8080
EOT
