name 'mkdocs'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_laminar::service
  esh_mkdocs::install
  esh_webhook::system
  esh_webhook::service
)

###
# Attributes
###

###
# esh_laminar
###

default['esh']['laminar']['service']['package'] = 'https://github.com/ohwgiles/laminar/releases/download/1.2/laminar_1.2-1.upstream-debian11_amd64.deb'

###
# esh_webhook
###

default['esh']['webhook']['service']['version'] = '2.8.0'
default['esh']['webhook']['service']['hook_secret'] = ''
