name 'twt'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_nitter::redis
  esh_nitter::system
  esh_nitter::install
  esh_nitter::service
)

###
# Attributes
###

###
# esh_nitter
###

default['esh']['nitter']['config']['title'] = 'benpro.fr Nitter instance'
default['esh']['nitter']['config']['hostname'] = 'twt.benpro.fr'
default['esh']['nitter']['config']['hmac_key'] = ''
default['esh']['nitter']['config']['replace_twitter'] = 'twt.benpro.fr'
default['esh']['nitter']['config']['replace_youtube'] = 'ytb.benpro.fr'

default['esh']['nitter']['nginx']['ip_addr'] = '127.0.0.1'
default['esh']['nitter']['nginx']['port'] = '8080'
