name 'blog'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_writefreely::install
  esh_writefreely::mariadb
  esh_writefreely::service
)

###
# Attributes
###

###
# esh_writefreely
###

version = '0.13.1'
default['esh']['writefreely']['version'] = version
default['esh']['writefreely']['url'] = "https://github.com/writefreely/writefreely/releases/download/v#{version}/writefreely_#{version}_linux_amd64.tar.gz"
default['esh']['writefreely']['mariadb']['password'] = ''
default['esh']['writefreely']['app']['site_name'] = 'blog.benpro.fr'
default['esh']['writefreely']['app']['host'] = 'https://blog.benpro.fr'
default['esh']['writefreely']['app']['single_user'] = 'true'

default['esh']['writefreely']['nginx']['ip_addr'] = '127.0.0.1'
default['esh']['writefreely']['nginx']['port'] = '8080'
