name 'ytb'

###
# Cookbooks location
###

# ESH
default_source :chef_repo, '../cookbooks'

# Community
default_source :supermarket, 'https://supermarket.chef.io'

###
# Run List
###

run_list %w(
  esh_docker::service
  esh_piped::compose
)

###
# Attributes
###

###
# esh_piped
###

default['esh']['piped']['config']['proxy_hostname'] = 'ytb-proxy.benoit.jp.net'
default['esh']['piped']['config']['captcha_api_key'] = 'INSERT_HERE'
default['esh']['piped']['config']['backend_hostname'] = 'ytb-api.benoit.jp.net'
default['esh']['piped']['config']['frontend_hostname'] = 'ytb.benoit.jp.net'
default['esh']['piped']['config']['postgresql_password'] = ''
